export const SITE = {
  title: "NextGraph Docs",
  description: "NextGraph Documentation",
  defaultLanguage: "en_US",
};

export const OPEN_GRAPH = {
  image: {
    src: "https://docs.nextgraph.org/public/logo-text.png",
    alt: "NextGraph logo,",
  },
  twitter: "nextgraph",
};

// This is the type of the frontmatter you put in the docs markdown files.
export type Frontmatter = {
  title: string;
  description: string;
  layout: string;
  image?: { src: string; alt: string };
  dir?: "ltr" | "rtl";
  ogLocale?: string;
  lang?: string;
};

export const KNOWN_LANGUAGES = {
  English: "en",
} as const;
export const KNOWN_LANGUAGE_CODES = Object.values(KNOWN_LANGUAGES);

export const GITHUB_EDIT_URL = `https://git.nextgraph.org/NextGraph/docs-site/src/branch/master`;

export const COMMUNITY_INVITE_URL = `https://forum.nextgraph.org`;

// See "Algolia" section of the README for more information.
export const ALGOLIA = {
  indexName: "docs",
  appId: "XXXXXXXXXX",
  apiKey: "08IMxBGqKrHJTIoq1dHfmaw9MSeLetwfLbuRvQuXZAZFWckX",
};

export type Sidebar = Record<
  typeof KNOWN_LANGUAGE_CODES[number],
  Record<string, { text: string; link: string }[]>
>;
export const SIDEBAR: Sidebar = {
  en: {
    Guides: [
      { text: "Introduction", link: "en/introduction" },
      { text: "Getting started", link: "en/getting-started" },
      { text: "Help / FAQ", link: "en/help" },
      { text: "Accessibility", link: "en/accessibility" },
    ],
    Design: [
      { text: "Overview", link: "en/design" },
      { text: "Specifications", link: "en/specs" },
    ],
    "API Reference": [{ text: "API", link: "en/api" }],
  },
};
